# UUCP Scripts

These are utility scripts for UUCP sever provisioning and maintenance. 

More information is available at https://uucp.dataforge.tk

## Prerequisites
In order to use these scripts you will first have to install the UUCP server software. While in theory any implementation of UUCP
will work, this network uses Taylor UUCP as it's server software.

### Debian/Ubuntu
```
sudo apt-get install uucp
```

### Redhat/Fedora/CentOS
```
sudo dnf install uucp
```

In order to join the UUCP network, you will first need to fork this repo and create a pull request with your server's uucp user's public key in ./ssh/authorized_keys. Please notify an admin of your join request. You may also join #uucp on tilde.chat IRC server.

### Provisioning
Provisioning a Tier 1 server is easy. Simply run the ./utils/bootstrap.pl file and move the generated configuration files to /etc/uucp as root. You will also need to get a password from each Tier 1 node. THIS PROCESSES IS NOT AUTOMATED YET.

```
./bootstrap.pl <assigned_node_name>
```

Setting up a leaf node is similar, however, you must edit the nodelist file with a single entry of the server that you are joining. You will need 
to contact your desired Tier 1 server's admin for a password. Leaf nodes do not need to run any update cron jobs, unlike Tier 1 servers.

### Care and feeding
A Tier 1 system must be able to receive updates about the network topology. You must create a cron job in the uucp user's crontab that runs update.pl at a set interval. While most other Tier 1 servers run this hourly, you can choose any interval you wish.

### Support
You can get help by joining us on IRC. We're nice. We promise :D

### Authors
Wesley Fisher (aka; Praetor) - Dataforge - wfisher@dataforge.tk

